24 октября 2007 г.

ATI FGLRX 8.42.3, решение проблемы с загрузкой модуля

В предыдущей статье я посетовал на то, что по каким-то причинам модуль fglrx.ko удаляется из каталога с модулями и не загружается в систему. Решение нашлось, хотя и не такое изящное, каким бы оно должно было быть (в конце концов, я не такой уж и искушенный линуксоид): нам потребуется создать небольшой скрипт и сделать так, чтобы он загружался автоматически вместе с системой. Приступим. [В качестве редактора я, как обычно, использую vim. Уважаемый читатель может воспользоваться любым другим редактором.]
$ sudo vim /usr/local/bin/fglrx_module_fix.sh

Прописываем туда следующий текст:
#!/bin/sh
rmmod fglrx
ln -s /lib/modules/2.6.22-14-generic/misc/fglrx.ko /lib/modules/2.6.22-14-generic/volatile/fglrx.ko
modprobe fglrx

Задаем права на запуск:
$ sudo chmod 755 /usr/local/bin/fglrx_module_fix.sh

Теперь прописываем автозапуск, добавляя в конец файла rc.local следующий текст:
echo " Loading fglrx kernel module... "
/usr/local/bin/fglrx_module_fix.sh
exit 0

После этого проверяем результат своей работы, то есть перезагружаем систему:
$ sudo reboot

Если все было сделано правильно, то после первой загрузки X-сервера, консоль на запрос
$ fglrxinfo

ответит, что в данный момент используется драйвер, предоставленный ATI, а не Mesa.

8 комментариев:

[CPR]-AL.exe комментирует...

gksu gedit /etc/rc.local

Добавить перед 0 следующую строку:

insmod /lib/modules/$(uname -r)/misc/fglrx.ko

И все будет ок без таких извращений :)

snakeye комментирует...

Ни первое, ни второе решение не работает.

vonderer@darkstar комментирует...

Вышла новая версия Envy, которая ставит новый драйвер ATI. Учтите, что с ядром версии 2.6.23 он, то есть драйвер, работать НЕ БУДЕТ.

Ромич комментирует...

У меня fglrx.ko лежит в /lib/modules/fglrx.
Папки misc вообще нету.
Ubuntu 7.10 (gnome)

Анонимный комментирует...

как найти этот чертов fglrx.ko? lib/modules/$(uname -r)/misc/ там его нет. Ubuntu 7.10 (gnome) ati-driver-installer-8.443.1-x86.x86_64.run

vonderer@darkstar комментирует...

Не знаю.
Обратите внимание на заголовок статьи: там четко указана версия драйвера: 8.42.3. Для нее указанное выше справедливо. Насколько это верно для новых версий драйвера, мне неизвестно.

Анонимный комментирует...

Млина... Есть такой файл, /etc/default/linux-restricted-modules-common. Туда вписывается DISABLED_MODULES="fgrlx" и никаких скриптом не надо.

vonderer@darkstar комментирует...

Млина, аноним, давай будем вежливыми, хорошо? Если бы это помогло, я не стал бы катать эту статью. Я даже перепроверил:

vonderer@darkstar:~$ cat /etc/default/linux-restricted-modules-common | grep DISABLED_MODULES
DISABLED_MODULES="fglrx"

Думаю, нет смысла дальше дискутировать по поводу этой статьи: она описывает версию драйвера, отстающую от текущей на несколько месяцев. Для нее это решение работало, а других решений не нашлось. Как обстоят дела со свежим драйвером, я пока выяснять не намерен.

Отправить комментарий